#!/bin/sh
fbdate=`grep -m1 '^fbdate=' prepare-fbturbo.sh | cut -d '=' -f 2-`
fbsuffix=`cat xserver-xorg-video-fbturbo-1.${fbdate}/debian/changelog | grep -m1 -E '^xserver-xorg-video-fbturbo' | cut -d '(' -f 2 | cut -d ')' -f 1 | cut -d '-' -f 2-`

if echo ${fbsuffix} | grep -q '-' ; then
  fbsuffix="-`echo ${fbsuffix} |  cut -d '-' -f 1`"
else
  fbsuffix=
fi

cd xserver-xorg-video-fbturbo-1.${fbdate}/

debuild -us -uc

cd ..

mkdir -p dbg
mv *-dbg* dbg/ || true

zip xserver-xorg-video-fbturbo-c2${fbsuffix}-`lsb_release -c -s`-`dpkg --print-architecture`.zip install-fbturbo.sh xserver-xorg-video-fbturbo*.deb

echo OK
